Subject: Re: [PATCH net-next 06/10] net: fill in MODULE_DESCRIPTION()s for ieee802154

From: Breno Leitao <[email-masked]>
Date: Thu, 25 Jan 2024 02:00:47 -0800

Hello Miquèl,

On Wed, Jan 24, 2024 at 05:48:02PM +0100, Miquel Raynal wrote:
> Hi,
> 
> [email-masked] wrote on Tue, 9 Jan 2024 08:25:21 +0100:
> 
> > Hello.
> > 
> > On 08.01.24 19:16, Breno Leitao wrote:
> > > W=1 builds now warn if module is built without a MODULE_DESCRIPTION().
> > > Add descriptions to ieee802154 modules.
> > > 
> > > Signed-off-by: Breno Leitao <[email-masked]>
> > > ---
> > >   net/ieee802154/6lowpan/core.c | 1 +
> > >   net/ieee802154/socket.c       | 1 +
> > >   2 files changed, 2 insertions(+)
> > > 
> > > diff --git a/net/ieee802154/6lowpan/core.c b/net/ieee802154/6lowpan/core.c
> > > index 2c087b7f17c5..b88f6a96d961 100644
> > > --- a/net/ieee802154/6lowpan/core.c
> > > +++ b/net/ieee802154/6lowpan/core.c
> > > @@ -280,5 +280,6 @@ static void __exit lowpan_cleanup_module(void)  
> > >   >   module_init(lowpan_init_module);  
> > >   module_exit(lowpan_cleanup_module);
> > > +MODULE_DESCRIPTION("IPv6 over Low power Wireless Personal Area Network IEEE802154.4 core");  
> > 
> > If we want to nitpick you could write it as IEEE 802.15.4.
> 
> Also agreed, can you please post an update?

Sure. I will send it soon, since I am splitting the patches in a set of
10. According to the maintainer's request:
https://lore.kernel.org/all/[email-masked]/

For now, I am focusing on Ethernet drivers.

Thanks!